package com.gree.mall.manager.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.fasterxml.jackson.annotation.JsonValue;
import com.gree.mall.manager.enums.base.BaseEnum;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum LeaseOrderStatusEnum implements BaseEnum {
    WAIT("WAIT","待确认"),
    WAIT_START("WAIT_START","待开始"),
    LEASE("LEASE","租赁中"),
    OVER("OVER","已到期,待回收"),
    RECOVER("RECOVER","已到期,已回收"),
    CANCEL("CANCEL","已取消"),
    ;

    @EnumValue
    @JsonValue
    private final String key;
    private final String remark;
}
